Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Custom Entities

Create Custom Entity Definition

POST
/v1/custom-entity-definitions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

key*string
Length1 <= length
name*string
Length1 <= length
schema*

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/custom-entity-definitions" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "name": "string",    "schema": {      "property1": null,      "property2": null    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "key": "string",  "name": "string",  "schema": {    "property1": null,    "property2": null  },  "deleted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}